Page MenuHomePhabricator

Enable 'Group results by page' preference on the RC page itself
Closed, ResolvedPublic

Description

Grouping changes by the affected page can be useful to have a better overview of what changed. Currently this option is provided though the Preferences settings but it may make sense to provide amore direct access to it.

This ticket shows how we will replace the Preference option with control right on the Recent Changes page in the "Number of Changes Selector" (T162786). Selecting the "Group results by page" option will display the list of recent changes by grouping them for each page.

Reflecting the settings in the drop-down label
In order to capture the current status, the drop-down label will reflect the current settings. For this particular case, enabling "grouping" will be reflected by removing the "View" part (making it implicit to get some more room) and adding the "by page" part. The diagram below shows how the initial message is adapted to the different changes in size, sort order and grouping. Not all combinations are illustrated (e.g., First 500 changes by page") but the examples shown should be enough to describe how the messages should be built.

Relationship to preferences page: The ultimate intention is to remove the preference on the Preferences page for this, for users who have the beta. But that all needs to be worked out. So in the near term, let's just make these preferences simply update one another. I.e., if a change is made in one location, it must be reflected also in the other.

T159896 is a related task, though not precisely a sub-task.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 21 2017, 10:20 AM
Pginer-WMF updated the task description. (Show Details)Jun 21 2017, 10:46 AM
jmatazzoni renamed this task from Allow grouping recent changes by page to Enable 'Group results by page' preference on the RC page itself.Jul 7 2017, 4:51 PM

Change 366497 had a related patch set uploaded (by Mattflaschen; owner: Mooeypoo):
[mediawiki/core@master] [wip^n] Group results by page

https://gerrit.wikimedia.org/r/366497

Change 366497 merged by jenkins-bot:
[mediawiki/core@master] RCFilters: Add 'enhanced' view (Group by pages)

https://gerrit.wikimedia.org/r/366497

Pginer-WMF updated the task description. (Show Details)Aug 3 2017, 9:46 AM

Except for the sort order options, all specs work as expected - checked in betalabs and wmf.15 (cawiki).

QA Recommendation: Resolve

jmatazzoni closed this task as Resolved.Aug 23 2017, 11:30 PM